# -*- rpm-spec -*-

# Default to skipping autoreconf.  Distros can change just this one line
# (or provide a command-line override) if they backport any patches that
# touch configure.ac or Makefile.am.
%{!?enable_autotools:%define enable_autotools 0}

%define with_gtk3 0
%if 0%{?fedora} >= 15 || 0%{?rhel} >= 7
%define with_gtk3 1
%endif

%define with_spice 0
%if 0%{?fedora} >= 17 || 0%{?rhel} >= 6
%define with_spice 1
%endif

%define with_govirt 0
%if 0%{?fedora} >= 19 || 0%{?rhel} >= 7
%define with_govirt 1
%endif

# spice-gtk is x86 x86_64 arm only currently:
%ifnarch %{ix86} x86_64 %{arm}
%define with_spice 0
%endif

Name: virt-viewer
Version: 0.6.0
Release: 12%{?dist}%{?extra_release}
Summary: Virtual Machine Viewer
Group: Applications/System
License: GPLv2+
URL: http://virt-manager.org/
Source0: http://virt-manager.org/download/sources/%{name}/%{name}-%{version}.tar.gz
Patch1: 0001-Fix-race-with-metacity-in-fullscreen.patch
Patch2: 0002-Fix-scaling-of-window-upon-resize.patch
Patch3: 0003-Silence-a-message-about-missing-configuration-file.patch
Patch4: 0004-Remove-Automatically-resize-menu.patch
Patch5: 0005-Use-a-USB-icon-in-the-fullscreen-toolbar.patch
Patch6: 0006-build-sys-Always-prepend-to-build-id.patch
Patch7: 0007-Update-user-visible-copyright-information.patch
Patch8: 0008-man-Add-missing-.-at-end-of-one-sentence.patch
Patch9: 0009-man-Fix-link-to-GPLv2-text.patch
Patch10: 0010-man-Fix-concatonated-typo.patch
Patch11: 0011-man-Use-nicer-link-to-GPLv2.patch
Patch12: 0012-man-remove-Perl-header.patch
Patch13: 0013-Don-t-show-do-you-want-to-quit-dialog-in-kiosk-mode.patch
Patch14: 0014-Set-freed-variables-to-NULL-in-remote_viewer_start.patch
Patch15: 0015-Don-t-resize-guest-display-on-zoom-change.patch
Patch16: 0016-Fix-regression-with-enabling-additional-displays.patch
Patch17: 0017-Fix-gtk2-build.patch
Patch18: 0018-rhbz-1007306-Don-t-free-session-if-we-re-re-trying-a.patch
Patch19: 0019-Fix-broken-release-cursor-accel-when-not-specified-i.patch
Patch20: 0020-Fix-tiny-windows-for-secondary-displays-in-gtk2-buil.patch
Patch21: 0021-Fix-tiny-window-when-resetting-zoom-factor-in-gtk2-b.patch
Patch22: 0022-window-take-zoom-level-into-account-for-display-limi.patch
Patch23: 0023-Remove-warning-when-removing-display.patch
Patch24: 0024-Replace-DEBUG_LOG-with-g_debug.patch
Patch25: 0025-kiosk-don-t-attempt-to-hide-windows-when-disconnecti.patch
Patch26: 0026-Use-a-custom-log-handler-to-silence-debug-messages.patch
Patch27: 0027-kiosk-remove-invalid-unref.patch
Patch28: 0028-Fix-a-floating-display-warning.patch
Patch29: 0029-man-fix-zoom-level-range.patch
Patch30: 0030-rhbz-1111514-Fix-un-shrinkable-displays-on-windows-g.patch
Patch31: 0031-remote-viewer-mention-vv-file-in-help-output.patch
Patch32: 0032-Make-ctrl-zoom-in-out-in-fullscreen.patch
Patch33: 0033-Don-t-connect-to-localhost-when-using-direct.patch
Patch34: 0034-Improve-docs-for-attach-flag-in-virt-viewer.patch
Patch35: 0035-Fix-silentely-typo-in-remote-viewer-man-page.patch
Patch36: 0036-virt-viewer.xml-remove-zoom-in-out-accelerators.patch
Patch37: 0037-Add-a-dialog-showing-details-of-the-current-guest.patch
Patch38: 0038-Change-per-guest-fullscreen-config-format.patch
Patch39: 0039-Write-vm-name-to-config-file-as-comment.patch
Patch40: 0040-Don-t-print-warning-for-missing-comment-in-config-fi.patch
Patch41: 0041-remote-viewer-allow-username-in-ovirt-URIs.patch
Patch42: 0042-remote-viewer-oVirt-username-review-fixes.patch
Patch43: 0043-Auth-fix-leak-of-username.patch
Patch44: 0044-ovirt-Remove-extra-from-oVirt-URI.patch
Patch45: 0045-ovirt-Add-OvirtForeignMenu-class.patch
Patch46: 0046-ovirt-Use-OvirtForeignMenu-class.patch
Patch47: 0047-Add-group-argument-to-VirtViewerFile-helpers.patch
Patch48: 0048-Add-ovirt-specific-properties-to-VirtViewerFile.patch
Patch49: 0049-Create-foreign-menu-from-.vv-file-information.patch
Patch50: 0050-Fix-without-spice-gtk-with-ovirt-build.patch
Patch51: 0051-Fix-gcc-warning-missing-prototypes.patch
Patch52: 0052-Fix-gcc-warning-unused-parameter.patch
Patch53: 0053-virt-viewer-Don-t-connect-to-localhost-displays-with.patch
Patch54: 0054-app-add-virt_viewer_app_make_dialog.patch
Patch55: 0055-app-report-disconnection-error-details.patch
Patch56: 0056-Don-t-check-for-NULL-when-it-never-can-happen.patch
Patch57: 0057-app-report-disconnection-error-details.patch
Patch58: 0058-Add-support-to-use-numpad-accelarators-for-zoom-in.o.patch
Patch59: 0059-Do-not-show-duplicated-menu-items.patch
Patch60: 0060-Revert-changes-related-to-numpad-accelerators.patch
Patch61: 0061-Add-documentation-for-fullscreen-monitor-mapping.patch
Patch62: 0062-Add-example-of-an-oVirt-URI-to-the-manpage.patch
Patch63: 0063-Do-not-fail-when-the-auth-dialog-is-cancelled.patch
Patch64: 0064-Simplify-virt_viewer_auth_libvirt_credentials-return.patch
Patch65: 0065-Improve-authentication-error-messages.patch
Patch66: 0066-Unset-app-fullscreen-when-leaving-fullscreen.patch
Patch67: 0067-Don-t-use-fallback-ca-file-when-launching-vv-file.patch
Patch68: 0068-Force-displays-to-update-geometry-when-agent-connect.patch
Patch69: 0069-Adapt-auth_cancelled-to-the-downstream-code.patch
Patch70: 0070-ovirt-Allow-to-remove-CD-images.patch
Patch71: 0071-App-keep-hash-table-of-displays.patch
Patch72: 0072-VirtViewerDisplay-add-convenience-API-for-getting-nt.patch
Patch73: 0073-VirtViewerApp-store-windows-in-a-list.patch
Patch74: 0074-Create-windows-on-demand-not-at-startup.patch
Patch75: 0075-Use-socat-instead-of-nc-if-possible.patch
Patch76: 0076-spice-do-not-open-in-fullscreen-with-CONTROLLER_AUTO.patch
Patch77: 0077-Set-initial-window-size-to-display-desktop-size.patch
Patch78: 0078-Make-default-window-size-a-bit-more-useful.patch
Patch79: 0079-Force-display_show_hint-when-the-display-is-set.patch
Patch80: 0080-Fix-bug-with-initial-placement-of-fullscreen-windows.patch
Patch81: 0081-Don-t-disable-send-key-menu-when-display-isn-t-ready.patch
Patch82: 0082-VirtViewerDisplayVnc-set-session-property.patch
Patch83: 0083-Revert-Fix-bug-with-initial-placement-of-fullscreen-.patch
Patch84: 0084-Move-vnc-specific-auth-logic-to-VirtViewerSessionVnc.patch
Patch85: 0085-Don-t-hide-the-main-window-when-disconnecting.patch
Patch86: 0086-Don-t-set-VNC-display-to-ready-until-vnc-is-initiali.patch
Patch87: 0087-remote-viewer-Show-debug-message-when-an-invalid-Ovi.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: openssh-clients
Requires(post):   %{_sbindir}/update-alternatives
Requires(postun): %{_sbindir}/update-alternatives
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%if 0%{?enable_autotools}
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: gettext-devel
BuildRequires: libtool
%endif

BuildRequires: glib2-devel >= 2.22
%if %{with_gtk3}
BuildRequires: gtk3-devel >= 3.0.0
%else
BuildRequires: gtk2-devel >= 2.18.0
Requires: gtk2 >= 2.18.0
%endif
BuildRequires: libvirt-devel >= 0.9.7
BuildRequires: libxml2-devel
%if %{with_gtk3}
BuildRequires: gtk-vnc2-devel >= 0.4.0
%else
BuildRequires: gtk-vnc-devel >= 0.3.8
%endif
%if %{with_spice}
%if %{with_gtk3}
BuildRequires: spice-gtk3-devel >= 0.22
%else
BuildRequires: spice-gtk-devel >= 0.22
%endif
BuildRequires: spice-protocol >= 0.10.1
%endif
BuildRequires: /usr/bin/pod2man
BuildRequires: intltool
%if %{with_govirt}
BuildRequires: libgovirt-devel >= 0.3.0
%endif

%if 0%{?fedora} >= 20
Obsoletes: spice-client < 0.12.3-2
%endif


%description
Virtual Machine Viewer provides a graphical console client for connecting
to virtual machines. It uses the GTK-VNC or SPICE-GTK widgets to provide
the display, and libvirt for looking up VNC/SPICE server details.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1
%patch27 -p1
%patch28 -p1
%patch29 -p1
%patch30 -p1
%patch31 -p1
%patch32 -p1
%patch33 -p1
%patch34 -p1
%patch35 -p1
%patch36 -p1
%patch37 -p1
%patch38 -p1
%patch39 -p1
%patch40 -p1
%patch41 -p1
%patch42 -p1
%patch43 -p1
%patch44 -p1
%patch45 -p1
%patch46 -p1
%patch47 -p1
%patch48 -p1
%patch49 -p1
%patch50 -p1
%patch51 -p1
%patch52 -p1
%patch53 -p1
%patch54 -p1
%patch55 -p1
%patch56 -p1
%patch57 -p1
%patch58 -p1
%patch59 -p1
%patch60 -p1
%patch61 -p1
%patch62 -p1
%patch63 -p1
%patch64 -p1
%patch65 -p1
%patch66 -p1
%patch67 -p1
%patch68 -p1
%patch69 -p1
%patch70 -p1
%patch71 -p1
%patch72 -p1
%patch73 -p1
%patch74 -p1
%patch75 -p1
%patch76 -p1
%patch77 -p1
%patch78 -p1
%patch79 -p1
%patch80 -p1
%patch81 -p1
%patch82 -p1
%patch83 -p1
%patch84 -p1
%patch85 -p1
%patch86 -p1
%patch87 -p1
%build

%if 0%{?enable_autotools}
autoreconf -if
%endif

%if %{with_spice}
%define spice_arg --with-spice-gtk
%else
%define spice_arg --without-spice-gtk
%endif

%if %{with_gtk3}
%define gtk_arg --with-gtk=3.0
%else
%define gtk_arg --with-gtk=2.0
%endif

%if %{with_govirt}
%define govirt_arg --with-ovirt
%endif

%configure %{spice_arg} %{gtk_arg} %{govirt_arg} --with-buildid=%{release} --disable-update-mimedb
%__make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
%__make install  DESTDIR=$RPM_BUILD_ROOT
mkdir -p %{buildroot}%{_libexecdir}
touch %{buildroot}%{_libexecdir}/spice-xpi-client
install -m 0755 data/spice-xpi-client-remote-viewer %{buildroot}%{_libexecdir}/
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
%{_sbindir}/update-alternatives --install %{_libexecdir}/spice-xpi-client \
  spice-xpi-client %{_libexecdir}/spice-xpi-client-remote-viewer 25
update-desktop-database -q %{_datadir}/applications
%{_bindir}/update-mime-database %{_datadir}/mime &> /dev/null

%postun
if [ $1 -eq 0 ] ; then
  /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
  /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
  %{_sbindir}/update-alternatives --remove spice-xpi-client %{_libexecdir}/spice-xpi-client-remote-viewer
fi
update-desktop-database -q %{_datadir}/applications
%{_bindir}/update-mime-database %{_datadir}/mime &> /dev/null

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README COPYING AUTHORS ChangeLog NEWS
%{_bindir}/%{name}
%{_bindir}/remote-viewer
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/ui/
%{_datadir}/%{name}/ui/virt-viewer.xml
%{_datadir}/%{name}/ui/virt-viewer-auth.xml
%{_datadir}/%{name}/ui/virt-viewer-about.xml
%{_datadir}/%{name}/ui/virt-viewer-guest-details.xml
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/icons/hicolor/*/devices/*
%{_datadir}/applications/remote-viewer.desktop
%{_datadir}/mime/packages/virt-viewer-mime.xml
%ghost %{_libexecdir}/spice-xpi-client
%{_libexecdir}/spice-xpi-client-remote-viewer
%{_mandir}/man1/virt-viewer.1*
%{_mandir}/man1/remote-viewer.1*

%changelog
* Mon Dec 01 2014 Fabiano Fidêncio <fidencio@redhat.com> 0.6.0.12
- Show a debug message instead of an error message when trying to
  connect to a non-existent guest using ovirt
  Resolves: rhbz#1168495

* Tue Nov 04 2014 Fabiano Fidêncio <fidencio@redhat.com> 0.6.0.11
- Fix crash when connecting to a guest through VNC and typing a wrong
  password
  Resolves: rhbz#1159731

* Thu Oct 23 2014 Fabiano Fidêncio <fidencio@redhat.com> 0.6.0.10
- Revert "Fix bug with initial placement of fullscreen windows"
  Related: rhbz#1129477

* Wed Oct 22 2014 Fabiano Fidêncio <fidencio@redhat.com> 0.6.0-9
- Set initial window size to display desktop size and make the default
  window size a bit more useful
  Resolves: rhbz#1152981
- Force display_show_hint() when the display is se
  Resolves: rhbz#1152468
- Fix bug with initial placement of fullscreen windows
  Related: rhbz#1129477
- Don't disable "send key" menu when display isn't ready
  Related: rhbz#1152468
- VirtViewerDisplayVnc: set 'session' property
  Resolves: rhbz#1152815

* Thu Oct  9 2014 Fabiano Fidêncio <fidencio@redhat.com> 0.6.0-8
- Adapt auth_cancelled to the downstream code
  Related: rhbz#1142742
- ovirt: Allow to remove CD images
  Resolves: rhbz#1145126
- Create windows on demand, not at startup
  Resolves: rhbz#1032939
- Use socat instead of nc if possible
  Resolves: rhbz#1030487
- spice: do not open in fullscreen with CONTROLLER_AUTO_DISPLAY_RES
  Resolves: rhbz#1149352

* Tue Sep 30 2014 Fabiano Fidêncio <fidencio@redhat.com> 0.6.0-7
- Revert "Add support to use numpad accelerators for zoom-in, zoom-out
  and zoom-reset
  Related: rhbz#921326
- Update virt-viewer man page for Update virt-viewer man page for oVirt
  connection support and fullscreen monitor mapping
  Resolves: rhbz#1142769
- Improve error message if input wrong username or password for a tcp
  connection
  Resolves: rhbz#1142742
- Unset app 'fullscreen' when leaving fullscreen
  Resolves: rhbz#1146997
- Don't use fallback ca-file when launching vv-file
  Resolves: rhbz#1127762
- Force displays to update geometry when agent connects
  Related: rhbz#1032971

* Thu Sep 18 2014 Fabiano Fidêncio <fidencio@redhat.com> 0.6.0-6
- Report disconnection error details
  Related: rhbz#1115986
- Add support to use numpad accelerators for zoom-in, zoom-out and
  zoom-reset
  Resolves: rhbz#921326
- Do not show duplicated menu items
  Related: rhbz#921326

* Fri Sep 12 2014 Christophe Fergeau <cfergeau@redhat.com> 0.6.0-5
- Allow to pass usernames in ovirt URIs
  Resolves: rhbz#1061826
- Add support for oVirt foreign menu - this allows to change the ISO image
  used by an oVirt VM from remote-viewer GUI
  Resolves: rhbz#1127156
- Don't attempt to connect to localhost displays with qemu+tcp:// libvirt
  connections
  Resolves: rhbz#1108523
- Provide more details in error dialog when a disconnection occurs
  Resolves: rhbz#1115986
- Fix harmless Coverity warning
  Resolves: rhbz#885108

* Fri Sep 05 2014 Jonathon Jongsma <jjongsma@redhat.com> - 0.6.0-4
- Add support for user-defined fullscreen monitor configuration file
  Resolves: rhbz#1129477

* Tue Aug 05 2014 Marc-Andre Lureau <marcandre.lureau@redhat.com> - 0.6.0-3
- Fix zoom-{in, out} accelerators. Resolves: rhbz#989407
- Fix man page spelling. Resolves: rhbz#970825

* Mon Aug 04 2014 Jonathon Jongsma <jjongsma@redhat.com> - 0.6.0-2
- add buildid to configure
- Bump gtk2 dependency to match requirement in 0.6.0
  Related: rhbz#1109400
- Improve documentation of --attach command line option
  Resolves: rhbz#999291

* Mon Jul  7 2014 Marc-André Lureau <marcandre.lureau@redhat.com> 0.6.0-1
- Rebase to 0.6.0.
  Resolves: rhbz#1109400
  Resolves: rhbz#921332 rhbz#1020669 rhbz#1021350 rhbz#1022426
  Resolves: rhbz#1023253 rhbz#1024204 rhbz#1024312 rhbz#1032967 rhbz#1063237
  Resolves: rhbz#1063239 rhbz#1096718 rhbz#1096721 rhbz#1109731
- Remove "Pass CAD" RHEL-only patch
  Resolves: rhbz#923072
- Fix broken 'release-cursor' accel when not specified in --hotkeys
  Resolves: rhbz#1032869
- Should use a USB icon instead of a generic settings icon
  Resolves: rhbz#921406
- remote-viewer should add introduction for new added functions into man page and help info.
  Resolves: rhbz#970825
- ctrl-[+-0] zoom in/out/native keyboard shortcuts don't work in fullscreen (with mouse over the control bar)
  Resolves: rhbz#989407
- No box pop out when input a wrong password and retry connection for vnc guest
  Resolves: rhbz#1007306
- Menu item "Automatically resize" could be disabled if there is no spice vdagent connection
  Resolves: rhbz#1007666
- Remote-Viewer: Zoom Out Behavior Is Not Consistent
  Resolves: rhbz#1022404
- If "ctrl alt" key combination is set as the one for releasing window, the window is not released.
  Resolves: rhbz#1032869
- virt-viewer --direct fails to connect to remote guest configured with listen="0.0.0.0"
  Resolves: rhbz#1079211
- Unnecessary warning info show when using virt-viewer -k to launch a spice guest
  Resolves: rhbz#1107519
- Need to update virt-viewer man page
  Resolves: rhbz#921341

* Fri Feb 14 2014 Christophe Fergeau <cfergeau@redhat.com> 0.5.7-7
- Don't show ctrl+0 in "Send Keys" menu when using --hotkeys
  Resolves: rhbz#1063195

* Tue Jan 28 2014 Christophe Fergeau <cfergeau@redhat.com> 0.5.7-6
- Fix fullscreen+multiscreen bug
  Resolves: rhbz#920988

- Fix addition of hotkey combos to "Send Keys" menu
  Resolves: rhbz#922716

- Translation updates from RH translation team
  Resolves: rhbz#1047327

- Add kiosk mode
  Resolves: rhbz#1040926

- Add .vv file description to man page
  Resolves: rhbz#970825

- spice: show an error dialog if password is invalid
  Resolves: rhbz#990883


* Fri Jan 24 2014 Daniel Mach <dmach@redhat.com> - 0.5.7-5
- Mass rebuild 2014-01-24

* Fri Dec 27 2013 Daniel Mach <dmach@redhat.com> - 0.5.7-4
- Mass rebuild 2013-12-27

* Mon Dec 16 2013 Jonathon Jongsma <jjongsma@redhat.com> 0.5.7-3
- Do all display alignment in virt-viewer (rhbz#1022769)

* Fri Sep 13 2013 Christophe Fergeau <cfergeau@redhat.com> 0.5.7-2
- Build virt-viewer for rhel7 with gtk3 and ovirt support

* Wed Jul 31 2013 Daniel P. Berrange <berrange@redhat.com> - 0.5.7-1
- Update to 0.5.7 release

* Thu May 23 2013 Christophe Fergeau <cfergeau@redhat.com> - 0.5.6-2
- Mark remote-viewer as replacing spice-client

* Wed May  1 2013 Daniel P. Berrange <berrange@redhat.com> - 0.5.6-1
- Update to 0.5.6 release

* Wed Feb 13 2013 Daniel P. Berrange <berrange@redhat.com> - 0.5.5-1
- Update to 0.5.5 release

* Fri Dec 14 2012 Cole Robinson <crobinso@redhat.com> - 0.5.4-3
- Fix crash after entering spice password (bz #880381)

* Sat Oct 13 2012 Chris Tyler <chris@tylers.info> - 0.5.4-2
- Enabled spice support for ARM archs

* Mon Sep 17 2012 Daniel P. Berrange <berrange@redhat.com> - 0.5.4-1
- Update to 0.5.4 release

* Fri Sep 14 2012 Hans de Goede <hdegoede@redhat.com> - 0.5.3-6
- Rebuild for spice-gtk ABI breakage (previous spice-gtk build was borked)

* Tue Sep 11 2012 Hans de Goede <hdegoede@redhat.com> - 0.5.3-5
- Rebuild for spice-gtk ABI breakage

* Fri Sep  7 2012 Hans de Goede <hdegoede@redhat.com> - 0.5.3-4
- Rebuild for spice-gtk soname change

* Mon Aug 13 2012 Daniel P. Berrange <berrange@redhat.com> - 0.5.3-3
- Rebuild for spice-gtk soname change

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed May 16 2012 Daniel P. Berrange <berrange@redhat.com> - 0.5.3-1
- Update to 0.5.3 release

* Fri Mar  9 2012 Daniel P. Berrange <berrange@redhat.com> - 0.5.2-1
- Update to 0.5.2 release

* Fri Feb 17 2012 Daniel P. Berrange <berrange@redhat.com> - 0.5.1-1
- Update to 0.5.1 release

* Tue Feb 14 2012 Daniel P. Berrange <berrange@redhat.com> - 0.5.0-1
- Update to 0.5.0 release

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Nov  9 2011 Daniel P. Berrange <berrange@redhat.com> - 0.4.2-1
- Update to 0.4.2 release

* Sun Aug 14 2011 Daniel P. Berrange <berrange@redhat.com> - 0.4.1-3
- More ssh tunnelling port fixes

* Fri Aug 12 2011 Daniel P. Berrange <berrange@redhat.com> - 0.4.1-2
- Fix ssh tunnelling

* Thu Aug  4 2011 Daniel P. Berrange <berrange@redhat.com> - 0.4.1-1
- Update to 0.4.1 release

* Tue Aug  2 2011 Daniel P. Berrange <berrange@redhat.com> - 0.4.0-2
- Rebuild for accidental spice-glib soname change

* Tue Jul 12 2011 Daniel P. Berrange <berrange@redhat.com> - 0.4.0-1
- Update to 0.4.0 release
- Switch build to GTK3 instead of GTK2

* Tue May 31 2011 Daniel P. Berrange <berrange@redhat.com> - 0.3.1-2
- Rebuild for spice-glib ABI breakage

* Wed May 11 2011 Karsten Hopp <karsten@redhat.com> 0.3.1-1.1
- spice-gtk is x86 x86_64 only, don't require it on other archs

* Mon Feb 21 2011 Daniel P. Berrange <berrange@redhat.com> - 0.3.1-1
- Update to 0.3.1 release

* Mon Feb 21 2011 Daniel P. Berrange <berrange@redhat.com> - 0.3.0-1
- Update to 0.3.0 and enable SPICE

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jan 15 2010 Daniel P. Berrange <berrange@redhat.com> - 0.2.1-1
- Update to 0.2.1 release

* Wed Jul 29 2009 Daniel P. Berrange <berrange@redhat.com> - 0.2.0-1.fc12
- Update to 0.2.0 release

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu May  7 2009 Daniel P. Berrange <berrange@redhat.com> - 0.0.3-5.fc12
- Fix auth against libvirt (rhbz #499594)
- Fix confusion of VNC credentials (rhbz #499595)
- Correct keyboard grab handling (rhbz #499362)

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Jul  7 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.0.3-3.fc10
- fix conditional comparison
- remove file dep

* Wed Jun 25 2008 Daniel P. Berrange <berrange@redhat.com> - 0.0.3-2.fc10
- Rebuild for GNU TLS ABI bump

* Mon Mar 10 2008 Daniel P. Berrange <berrange@redhat.com> - 0.0.3-1.fc9
- Updated to 0.0.3 release

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.0.2-4
- Autorebuild for GCC 4.3

* Fri Jan 11 2008 Daniel P. Berrange <berrange@redhat.com> - 0.0.2-3.fc9
- Set domain name as window title
- Hide input for passwd fields during auth

* Mon Oct 15 2007 Daniel P. Berrange <berrange@redhat.com> - 0.0.2-2.fc8
- Change TLS x509 credential name to sync with libvirt

* Tue Aug 28 2007 Daniel P. Berrange <berrange@redhat.com> - 0.0.2-1.fc8
- Added support for remote console access

* Fri Aug 17 2007 Daniel P. Berrange <berrange@redhat.com> - 0.0.1-2.fc8
- Restrict built to x86 & ia64 because libvirt is only on those arches

* Wed Aug 15 2007 Daniel P. Berrange <berrange@redhat.com> - 0.0.1-1.fc8
- First release
